We just released our native n8n integration!ยป Try now
OnlyFans API
AI Fan Summaries

Generate Fan Summary

Queue generation or regeneration of an AI profile summary for a fan. Costs 200 credits (charged on completion). Use the GET endpoint to poll for results. To regenerate an existing summary, pass regenerate: true.

POST
/api/{account}/fans/{fan_id}/summary
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

fan_id*string

Fan's OnlyFans ID

Request Body

application/json

regenerate?boolean

Set to true to regenerate an existing completed summary.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/fans/123456789/summary" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "processing",
  "message": "Fan summary generation has been queued. Use GET to poll for results."
}